package cn.com.ty.lift.business.capital.dao.entity.model.request;

import cn.com.ty.lift.business.capital.dao.entity.CapitalRepair;
import cn.com.ty.lift.business.project.dao.entity.ProjectUser;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author bieao
 * @date 2020/2/18
 * @description 新增大修项目
 */
@Data
public class CapitalRepairExtensionRequest {

    /**
     * 大修项目
     */
    @NotNull(message = "notEmpty")
    private CapitalRepair capitalRepair;

    /**
     * 项目成员
     */
    @NotEmpty(message = "notEmpty")
    private List<ProjectUser> userList;
}
