package cn.com.ty.lift.business.contract.dao.entity.model.request;

import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2019/12/7
 * @description 合同列表请求体
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ContractRequest extends PageRequest {

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 合同类型
     */
    private String contractType;
    /**
     * 合同状态
     */
    private String contractStatus;
}
